## kubernetes 1.33.4%2Bds

=== debian/control ===
Source: kubernetes
Section: admin
Priority: optional
Maintainer: Debian Kubernetes Packaging Team <team+kubernetes@tracker.debian.org>
Uploaders: Arthur Diniz <arthurbdiniz@gmail.com>,
           Janos Lenart <ocsi@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-exec,
               dh-sequence-golang,
               golang-any,
               golang-github-chai2010-gettext-go-dev,
               golang-github-daviddengcn-go-colortext-dev,
               golang-github-distribution-reference-dev,
               golang-github-evanphx-json-patch-dev,
               golang-github-exponent-io-jsonpath-dev,
               golang-github-fatih-camelcase-dev,
               golang-github-go-openapi-jsonreference-dev,
               golang-github-google-gnostic-models-dev,
               golang-github-google-go-cmp-dev,
               golang-github-jonboulle-clockwork-dev,
               golang-github-liggitt-tabwriter-dev,
               golang-github-lithammer-dedent-dev,
               golang-github-makenowjust-heredoc-dev,
               golang-github-mitchellh-go-wordwrap-dev,
               golang-github-moby-term-dev,
               golang-github-onsi-ginkgo-v2-dev,
               golang-github-pkg-errors-dev,
               golang-github-russross-blackfriday-v2-dev,
               golang-github-spf13-cobra-dev,
               golang-github-spf13-pflag-dev,
               golang-github-stretchr-testify-dev,
               golang-golang-x-sys-dev,
               golang-gopkg-yaml.v2-dev,
               golang-k8s-api-dev (>= 0.33.4),
               golang-k8s-apimachinery-dev (>= 0.33.4),
               golang-k8s-cli-runtime-dev (>= 0.33.4),
               golang-k8s-client-go-dev (>= 0.33.4),
               golang-k8s-component-base-dev (>= 0.33.4),
               golang-k8s-component-helpers-dev (>= 0.33.4),
               golang-k8s-klog-dev,
               golang-k8s-kube-openapi-dev,
               golang-k8s-metrics-dev (>= 0.33.4),
               golang-k8s-sigs-json-dev,
               golang-k8s-sigs-kustomize-dev,
               golang-k8s-sigs-kustomize-kyaml-dev,
               golang-k8s-sigs-structured-merge-diff-dev,
               golang-k8s-sigs-yaml-dev,
               golang-k8s-utils-dev,
               curl <!nocheck> | wget <!nocheck>,
               help2man <!nodoc>
Standards-Version: 4.7.2
Homepage: https://kubernetes.io/
Vcs-Browser: https://salsa.debian.org/kubernetes-team/packages/kubernetes
Vcs-Git: https://salsa.debian.org/kubernetes-team/packages/kubernetes.git
Rules-Requires-Root: no
XS-Go-Import-Path: k8s.io/kubernetes

Package: kubectl
Architecture: any
Breaks: kubernetes-client (<< 1.31.4~)
Replaces: kubernetes-client (<< 1.31.4~)
Static-Built-Using: ${misc:Static-Built-Using}
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Command-line tool for controlling Kubernetes clusters
 The official command-line tool for interacting with Kubernetes clusters.
 .
 It allows users to manage and configure Kubernetes resources, deploy
 applications, inspect and troubleshoot workloads, and automate cluster
 operations.
 .
 With kubectl, you can perform actions such as scaling deployments, rolling
 out updates, debugging services, and viewing cluster logs.
 .
 The tool supports a wide range of commands for managing pods, nodes, services,
 config maps, persistent volumes, and more. It also integrates with custom
 plugins and supports client-side filtering and resource scripting for advanced
 use cases.

Package: golang-k8s-kubectl-dev
Architecture: all
Multi-Arch: foreign
Section: golang
Depends: golang-github-chai2010-gettext-go-dev,
         golang-github-daviddengcn-go-colortext-dev,
         golang-github-distribution-reference-dev,
         golang-github-evanphx-json-patch-dev,
         golang-github-exponent-io-jsonpath-dev,
         golang-github-fatih-camelcase-dev,
         golang-github-go-openapi-jsonreference-dev,
         golang-github-google-gnostic-models-dev,
         golang-github-google-go-cmp-dev,
         golang-github-jonboulle-clockwork-dev,
         golang-github-liggitt-tabwriter-dev,
         golang-github-lithammer-dedent-dev,
         golang-github-makenowjust-heredoc-dev,
         golang-github-mitchellh-go-wordwrap-dev,
         golang-github-moby-term-dev,
         golang-github-onsi-ginkgo-v2-dev,
         golang-github-pkg-errors-dev,
         golang-github-russross-blackfriday-v2-dev,
         golang-github-spf13-cobra-dev,
         golang-github-spf13-pflag-dev,
         golang-github-stretchr-testify-dev,
         golang-golang-x-sys-dev,
         golang-gopkg-yaml.v2-dev,
         golang-k8s-api-dev (>= 0.33.4),
         golang-k8s-apimachinery-dev (>= 0.33.4),
         golang-k8s-cli-runtime-dev (>= 0.33.4),
         golang-k8s-client-go-dev (>= 0.33.4),
         golang-k8s-component-base-dev (>= 0.33.4),
         golang-k8s-component-helpers-dev (>= 0.33.4),
         golang-k8s-klog-dev,
         golang-k8s-kube-openapi-dev,
         golang-k8s-metrics-dev (>= 0.33.4),
         golang-k8s-sigs-json-dev,
         golang-k8s-sigs-kustomize-dev,
         golang-k8s-sigs-kustomize-kyaml-dev,
         golang-k8s-sigs-structured-merge-diff-dev,
         golang-k8s-sigs-yaml-dev,
         golang-k8s-utils-dev,
         ${misc:Depends}
Description: Kubernetes client tools for interacting with clusters (library)
 Contains utilities and packages designed for building custom Kubernetes client
 tools.
 .
 It includes essential components for interacting with Kubernetes clusters,
 such as handling API requests, managing configuration, and implementing custom
 commands.
 .
 Intended for developers creating client-side programs that integrate with
 Kubernetes environments.

Package: kubernetes-client
Architecture: amd64 arm64 armel armhf i386 s390x
Section: oldlibs
Depends: kubectl
Description: Transitional package
 This is a transitional package. It can safely be removed.

## kubernetes 1.33.4+ds

=== debian/changelog ===
kubernetes (1.33.4+ds-1) unstable; urgency=medium

  * New upstream version 1.33.4+ds
  * d/control: Update kubernetes dev constraint to >= 0.33.4
  * d/copyright: Update The Kubernetes Authors year to 2025

 -- Arthur Diniz <arthurbdiniz@gmail.com>  Wed, 27 Aug 2025 22:36:32 +0100

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk
include /usr/share/dpkg/pkg-info.mk

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE = 1

export GOPATH := $(CURDIR)/_build
export DH_GOPKG := k8s.io/kubectl
export DH_GOLANG_BUILDPKG := "$(DH_GOPKG)/..."

# This information can be found consulting the GitHub tags
# https://github.com/kubernetes/kubernetes/tags
GIT_COMMIT := 32cc146f75aad04beaaa245a7157eb35063a9f99
GIT_TREE_STATE := clean

# Extract major, minor, and full version
DEB_UPSTREAM_MAIN_VERSION := $(shell echo ${DEB_VERSION_UPSTREAM} | sed -e 's/^\([0-9\.]*\).*/\1/')
GIT_MAJOR := $(shell echo $(DEB_UPSTREAM_MAIN_VERSION) | cut -d. -f1)
GIT_MINOR := $(shell echo $(DEB_UPSTREAM_MAIN_VERSION) | cut -d. -f2)
GIT_VERSION := v$(DEB_UPSTREAM_MAIN_VERSION)

DATE_FMT = +%Y-%m-%dT%H:%M:%SZ
ifdef SOURCE_DATE_EPOCH
    BUILD_DATE ?= $(shell date -u -d "@$(SOURCE_DATE_EPOCH)" "$(DATE_FMT)" 2>/dev/null || date -u -r "$(SOURCE_DATE_EPOCH)" "$(DATE_FMT)" 2>/dev/null || date -u "$(DATE_FMT)")
else
    BUILD_DATE ?= $(shell date "$(DATE_FMT)")
endif

# Upstream uses a helper function to generate LDFLAGS flags based on a set of variables.
# https://github.com/kubernetes/kubernetes/blob/9a9f10bc7b93ef13a83e39b262f4ea8bf2353e53/hack/lib/version.sh#L151
# There is a hack script to get those variables using the upstream repository.
# https://github.com/kubernetes/kubernetes/blob/9a9f10bc7b93ef13a83e39b262f4ea8bf2353e53/hack/print-workspace-status.sh
KUBECTL_LDFLAGS := \
    -X 'k8s.io/client-go/pkg/version.buildDate=$(BUILD_DATE)' \
    -X 'k8s.io/component-base/version.buildDate=$(BUILD_DATE)' \
	-X 'k8s.io/client-go/pkg/version.gitCommit=$(GIT_COMMIT)' \
	-X 'k8s.io/component-base/version.gitCommit=$(GIT_COMMIT)' \
	-X 'k8s.io/client-go/pkg/version.gitTreeState=$(GIT_TREE_STATE)' \
	-X 'k8s.io/component-base/version.gitTreeState=$(GIT_TREE_STATE)' \
	-X 'k8s.io/client-go/pkg/version.gitVersion=$(GIT_VERSION)' \
	-X 'k8s.io/component-base/version.gitVersion=$(GIT_VERSION)' \
	-X 'k8s.io/client-go/pkg/version.gitMajor=$(GIT_MAJOR)' \
	-X 'k8s.io/component-base/version.gitMajor=$(GIT_MAJOR)' \
	-X 'k8s.io/client-go/pkg/version.gitMinor=$(GIT_MINOR)' \
	-X 'k8s.io/component-base/version.gitMinor=$(GIT_MINOR)'


ifeq (,$(filter $(DEB_BUILD_ARCH), mipsel mips64el))
KUBECTL_BUILDMODE := -buildmode=pie
endif


%:
	dh $@ --builddirectory=_build --buildsystem=golang

override_dh_auto_configure:
	mkdir -pv $(GOPATH)/src/$(DH_GOPKG)

	# Prepare build directory but throw away source directory.
	DH_GOPKG="__IGNORE__" dh_auto_configure

	$(RM) -r $(GOPATH)/src/$(DH_GOPKG)
	cp -ra staging/src/k8s.io/kubectl $(GOPATH)/src/$(DH_GOPKG)

	mkdir -pv $(GOPATH)/src/$(DH_GOPKG)/cmd
	cp -ra cmd/kubectl $(GOPATH)/src/$(DH_GOPKG)/cmd

override_dh_auto_build:
	dh_auto_build -v -- -ldflags '$(KUBECTL_LDFLAGS)' $(KUBECTL_BUILDMODE)

override_dh_installchangelogs:
	dh_installchangelogs -X CHANGELOG.md CHANGELOG/CHANGELOG-*.md

ifeq (,$(filter nodoc,$(DEB_BUILD_PROFILES)))
execute_before_dh_installman-arch:
	help2man debian/kubectl/usr/bin/kubectl \
		--no-info --no-discard-stderr \
		--version-string="$(GIT_VERSION)" \
		-n "Command-line tool for interacting with a Kubernetes cluster's control plane" > debian/kubectl.1
endif

override_dh_auto_install:
	# Skip dh_auto_install to stop dh_golang trying to copy bits
	# for /usr/share/gocode (we use dh_install for that)

ifeq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
	mkdir -v -p _build/completion/kubectl
	_build/bin/kubectl completion bash > _build/completion/kubectl/kubectl.bash
	_build/bin/kubectl completion fish > _build/completion/kubectl/kubectl.fish
	_build/bin/kubectl completion zsh > _build/completion/kubectl/kubectl.zsh
endif

	$(RM)  _build/src/k8s.io/kubectl/pkg/cmd/plugin/testdata/kubectl-create-foo
	$(RM) -r _build/src/k8s.io/kubectl/.github
	$(RM) -r _build/src/k8s.io/kubectl/LICENSE
	# Don't install docs in /usr/share/gocode, they are not useful to the users so just remove
	# them instead of moving to /usr/share/doc:
	$(RM) _build/src/k8s.io/kubectl/CONTRIBUTING.md
	$(RM) _build/src/k8s.io/kubectl/README.md
	$(RM) _build/src/k8s.io/kubectl/code-of-conduct.md
	$(RM) -r _build/src/k8s.io/kubectl/docs
	$(RM) _build/src/k8s.io/kubectl/pkg/util/i18n/translations/README.md
	$(RM) _build/src/k8s.io/kubectl/pkg/cmd/edit/testdata/README

=== debian/tests/control ===
Tests: kubectl.sh
Depends: ca-certificates,
         docker-cli,
         docker.io,
         kind,
         kubectl
Restrictions: isolation-machine,
              needs-internet,
              needs-root

## kubernetes asyncio-11.1.0

=== requirements.txt ===
certifi>=14.05.14 # MPL
six>=1.9.0  # MIT
python-dateutil>=2.5.3  # BSD
setuptools>=21.0.0  # PSF/ZPL
urllib3>=1.24.2  # MIT
pyyaml>=3.12  # MIT
aiohttp>=2.3.10,<4.0.0 # # Apache-2.0

## kubernetes asyncio-22.6.3

=== requirements.txt ===
--- 
+++ 
@@ -4,4 +4,4 @@
 setuptools>=21.0.0  # PSF/ZPL
 urllib3>=1.24.2  # MIT
 pyyaml>=3.12  # MIT
-aiohttp>=2.3.10,<4.0.0 # # Apache-2.0
+aiohttp>=3.7.0,<4.0.0 # # Apache-2.0
